Package org.drinkless.tdlib

# Class TdApi.SupergroupMembersFilterSearch

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.SupergroupMembersFilter
org.drinkless.tdlib.TdApi.SupergroupMembersFilterSearch

Enclosing class:
  `TdApi`

public static class TdApi.SupergroupMembersFilterSearch extends TdApi.SupergroupMembersFilter
Used to search for supergroup or channel members via a (string) query.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.SupergroupMembersFilter

  `TdApi.SupergroupMembersFilter.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `query`
  Query to search for.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupergroupMembersFilterSearch()`
  Used to search for supergroup or channel members via a (string) query.
  `SupergroupMembersFilterSearch(String query)`
  Used to search for supergroup or channel members via a (string) query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### query

    public String query
    Query to search for.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SupergroupMembersFilterSearch

    public SupergroupMembersFilterSearch()
    Used to search for supergroup or channel members via a (string) query.

  - ### SupergroupMembersFilterSearch

    public SupergroupMembersFilterSearch(String query)
    Used to search for supergroup or channel members via a (string) query.
    Parameters:
      `query` - Query to search for.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.SupergroupMembersFilter`
    Returns:
      this.CONSTRUCTOR